Bug 165749 - Dell precision 380 usb/ps2 keyboard mouse breaks after install
Dell precision 380 usb/ps2 keyboard mouse breaks after install
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-11 14:51 EDT by John Sopko
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 09:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sopko 2005-08-11 14:51:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.11) Gecko/20050728

Description of problem:
New Dell precisions workstation installs fine. USB keyboard and mouse work fine.
After reboot USB mouse/keyboard does not work. Try using ps/2 mouse and keyboard and they do not work either.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-32.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1. Load RHEL-3 update5
2. Reboot system
3. 
  

Actual Results:  Keyboard and mouse do not respond

Expected Results:  Keyboard and mouse should work.

Additional info:

System is operational, can ssh to system, keyboard and mouse
are confused.

Some things we found:

boot error messages related to usb, from "dmesg|grep usb"

usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 21:27:26 Apr 15 2005
usb-uhci.c: High bandwidth mode enabled
usb-uhci.c: USB UHCI at I/O 0xff80, IRQ 21
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
usb-uhci.c: USB UHCI at I/O 0xff60, IRQ 22
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
usb-uhci.c: USB UHCI at I/O 0xff40, IRQ 18
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 3
usb-uhci.c: USB UHCI at I/O 0xff20, IRQ 23
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 4
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: new USB bus registered, assigned bus number 5
usb.c: registered new driver hiddev
usb.c: registered new driver hid
usb_control/bulk_msg: timeout
usb.c: USB device not accepting new address=2 (error=-110)
usb_control/bulk_msg: timeout
usb.c: USB device not accepting new address=3 (error=-110)
usb.c: registered new driver serial
usbserial.c: USB Serial support registered for Generic
usbserial.c: USB Serial Driver core v1.4
usb_control/bulk_msg: timeout
usb.c: USB device not accepting new address=4 (error=-110)
usb_control/bulk_msg: timeout
usb.c: USB device not accepting new address=5 (error=-110)

If you plug usb keyboard or mouse into another usb port console messages
come up showing similar problem on the other port, i.e.

usb.c: USB device not accepting new address=2 (error=-110)
usb.c: USB device not accepting new address=3 (error=-110)

If remove usb devices and attach ps/2 keyboard/mouse, run at runlevel 3
to get console, when pressing keyboard get the following console message:

kernel: pc_keyb: controller jammed (0x15).

Removed usb entry in /etc/sysconfig/hwconf so ehci-hcd module does not load.
The ps/2 keyboard/mouse then work.

The when doing a "modprobe ehci-hcd" this is what seems to cause the problem.
That is the keyboard quits with the kernel: pc_keyb: controller jammed (0x15)
message when the ehci-hcd driver loads.

This system happens to be a dual boot windows xp machine and the keyboard and
mouse work fine under windows xp so the hardware is probably ok.
Comment 1 John Sopko 2005-08-11 16:25:22 EDT
One more thing, the usb keyboard does work at the grub boot menu.
Comment 2 Costas Papadopoulos 2005-08-28 11:30:54 EDT
If I remove the USB controller ehci-hcd what I have to do later on so that the
USB's work ? Or this is automatic ?
Comment 3 John Sopko 2005-08-29 12:04:21 EDT
I had to disable the ehci-hcd driver to get the ps/2 mouse/keyboard to work.
I could not get the usb mouse/keyboard to work at all. I am hoping rhel-3
update 6 will fix.

I did load rhel-4 update 1 on this system and the usb mouse/keyboard works fine
but we are not ready to go to rhel-4 yet. Seems like this is a basic thing
that should work in rhel-3.
Comment 4 Costas Papadopoulos 2005-08-30 04:54:04 EDT
There are many USB entries in hwconf. I removed several and at the end all of
them but the problem has not been solved. In fact the ehci module in the linux
startup is still loading. 
Is there any other way to disable this ehci thing ? Where is the loading of this
module in linux ? 
Comment 5 Pete Zaitcev 2005-08-30 21:30:06 EDT
Try to find and disable anything that says "USB Legacy Emulation" in BIOS
setup or any similar option.

The puzzling thing though, is how does the install manage to work.
Do you install RHEL 3 GA and update with up2date? That would explain it.
Comment 6 John Sopko 2005-08-31 08:00:38 EDT
The Dell Precision 380 bios allows you to turn the USB Controller On or Off only.
If we turn it off then the ps/2 keyboard/mouse work. But this is a dual boot
system and the users want the USB bus to work under Windows XP.

I installed using rhel-3 update 5 cd's, the install goes fine until the first
reboot. When the configuration screen comes up the usb mouse/keyboard do not
work and give the errors described above.
Comment 7 John Sopko 2005-08-31 08:22:25 EDT
One more thing, I then ran up2date to get the latest kernel and all other
updates hoping that would fix the problem but it did not.
Comment 8 Costas Papadopoulos 2005-09-01 01:59:35 EDT
Have a look at
http://lists.us.dell.com/pipermail/linux-precision/2005-August/000629.html

I have changed the order of controllers in modules.conf and it works fine !
The linux is scietnific linux 3.05 from CERN.
Comment 9 James Wilson 2005-10-06 17:42:30 EDT
I can confirm that the bug still exists on update 6 of version 3.  To fix the
problem, I used the boot CD as a rescue disk, booting it with the command 'linux
rescue'

Then I changed the file /etc/modules.conf from:

alias scsi_hostadapter ahci
alias eth0 tg3
alias usb-controller usb-uhci
alias usb-controller1 ehci-hcd

to:

alias scsi_hostadapter ahci
alias eth0 tg3
alias usb-controller ehci-hcd
alias usb-controller1 usb-uhci

This but is fixed under RHEL 4, even in the first release.  Even though the
Precision 380's need a boot disk to find the SATA hard drives in the default
UHCI mode.  But Cadence keeps us stuck at RHEL 3, as there are hidden nasty bugs
using cadence on RHEL 4.
Comment 10 John Sopko 2005-10-06 17:59:19 EDT
I have 2 Dell Prescion 380's that had the orignal problem. I need
to up2date them from rehl-3 u5 to u6. I hope to do this sometime next week,
I will try your fix and report back. Thanks for the info.

BTW, we just purchased a 3rd Dell 380 to run as a Cadence server!
I loaded rhel-4 x64_64 u1, this should be fun. I am trying to port
from an old Sun Solaris system and feel that is the proper direction.

The USB mouse and keyboard work fine on the the x64_86 machine. The system came
with a 512MB USB memory flash drive and that was autodetected under
/media/usbmemory which was pretty slick.
Comment 12 David Duffey 2005-10-19 14:19:10 EDT
According to Dell's linux mailing list, this may be fixed in a future firmware
release for the 380.
Comment 13 Pete Zaitcev 2005-11-22 01:48:12 EST
I figured it's the BIOS (SMM part). However, do we know if it's the case?
If yes, what firmware revision?

I expect the original submitter to find it out and close the bug if appropriate.
Comment 14 John Sopko 2005-11-23 09:55:56 EST
The dell bios update just came out in the last few days as far as I can tell. I
installed the Dell "WS380A04" bios which updated the Dell 380 from bios version
A02 to A04. This fixed the problem!

I put the /etc/modules.conf back to the original install state:

alias scsi_hostadapter ahci
alias eth0 tg3
alias sound-slot-0 audigy
alias usb-controller usb-uhci
alias usb-controller1 ehci-hcd

Thanks for all the input, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.